跳转到主要内容
GET
/
api
/
publicapi
/
v1
/
transactions
/
active
返回符合指定参数的活动事务
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/active \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "stage": "ManualReview",
      "stageName": "<string>",
      "reviewerEmail": "<string>",
      "reviewerName": "<string>",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createTimeUtc": "2023-11-07T05:31:56Z",
      "transactionParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "fileParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "skillId": "<string>",
      "skillVersion": 123,
      "documentCount": 123
    }
  ],
  "totalItemCount": 123
}

授权

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

查询参数

StageType
string

事务当前所处的阶段

StageName
string

事务当前阶段的名称

SkillId
string

根据权限可用的技能 ID。如果此字段为空,则会使用所有可用技能作为筛选条件。

SkillVersion
string

只能按可用技能的版本进行筛选

StartDate
string<date-time>

事务的最早创建时间。 时间必须使用 UTC 格式指定。 事务的最早创建时间。 时间必须以 UTC 格式指定。

EndDate
string

事务的最晚创建时间。 时间必须以 UTC 格式指定。 若未提供,则使用当前 UTC 时间。

TransactionParameters
object[]

事务的 Parameter 列表。 检索到的每个事务都应包含所有这些 Parameter。

DocumentParameters
object[]

文档参数列表。 检索到的事务应包含所有这些参数。

Offset
integer<int32>

分页偏移量(默认为 0)

Limit
integer<int32>

分页限制

响应

事务列表,其中包含事务及其文档的注册参数和阶段信息

仅供 Swagger 使用

items
object[] | null
totalItemCount
integer<int32>